using System.IO;
using Spark.Modules;

namespace Modular.Flair.WebPackage.Blocks
{
    public class FileContentsBlock : BlockBase
    {
        private IFileDuck fileDuck;

        public FileContentsBlock(IFileDuck fileDuck)
        {
            this.fileDuck = fileDuck;
        }

        public override void RenderBlock()
        {
            var filePath = @"C:\Some\Crazy\Path\foo.xml"; 

            var fileContents = string.Empty; 
            if(fileDuck.Exists(filePath))
            {
                fileContents = fileDuck.ReadAllText(filePath); 
            }
            Html.RenderPartial(@"Flair\DidYouKnow\ShowBirthday", fileContents);
        }

    }
}