using System.Web.Mvc;
using Castle.MicroKernel;
using NUnit.Framework;
using Rhino.Mocks;
using Spark.Modules;

namespace Modules.RhinoMocks.Tests
{
    /// <summary>
    /// A base class for testing blocks. 
    /// Implement the SetupTest as an entry point to the setup method.
    /// </summary>
    [TestFixture]
    public abstract class BlockTestBase
    {
        protected DefaultKernel kernel;
        protected IHtmlHelperDuck mockHtmlHelper;

        public virtual void Setup()
        {
            kernel = new DefaultKernel();
            kernel.AddComponentInstance<IHtmlHelperDuck>(mockHtmlHelper = MockRepository.GenerateMock<IHtmlHelperDuck>());
            kernel.AddComponentInstance<ViewDataDictionary>(MockRepository.GenerateStub<ViewDataDictionary>());
        }
    }
}