using Castle.MicroKernel;
using Rhino.Mocks;

namespace Modules.RhinoMocks.Tests
{
    public static class KernelExtensions
    {
        public static T Mock<T>(this IKernel kernel) where T : class
        {
            return Mock<T, T>(kernel);
        }

        public static T Mock<T, T2>(this IKernel kernel)
            where T : class
            where T2 : class
        {
            if (!kernel.HasComponent(typeof(T)))
                kernel.AddComponentInstance<T>(MockRepository.GenerateMock<T2>());

            return kernel.Resolve<T>();
        }
    }

}